dbXML API

## org.xmldb.api.reference
Class DatabaseImpl

    java.lang.Object
      |
      +--org.xmldb.api.sdk.SimpleConfigurable
            |
            +--org.xmldb.api.sdk.SimpleDatabase
                  |
                  +--org.xmldb.api.reference.DatabaseImpl

All Implemented Interfaces:
  Configurable, Database

public class DatabaseImpl
extends SimpleDatabase

Reference Database implmentation. The reference Database simply resides on the file system. It isn't speedy but it serves the purpose of illustrating how a driver should work..

Constructor Summary
`DatabaseImpl()`

Method Summary
`Collection` `getCollection(java.lang.String uri)` Retrieves a `Collection` instance based on the URI provided in the `uri` parameter.

Methods inherited from class org.xmldb.api.sdk.SimpleDatabase
`acceptsURI, getConformanceLevel, getName`

Methods inherited from class org.xmldb.api.sdk.SimpleConfigurable
`getProperty, setProperty`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.xmldb.api.base.Database
`getCollection`

Methods inherited from interface org.xmldb.api.base.Configurable
`getProperty, setProperty`

Constructor Detail

### DatabaseImpl

    public DatabaseImpl()

Method Detail

### getCollection

    public Collection getCollection(java.lang.String uri)
                             throws XMLDBException

  Retrieves a `Collection` instance based on the URI provided in the `uri` parameter. The URI format for this implementation is ref:///path where path is a path in the file system. To locate the data files the database expects a directory data to exist in the current directory.
  Overrides:
    `getCollection` in class `SimpleDatabase`
  Parameters:
    `uri` - the URI to use to locate the collection.
  Returns:
    The `Collection` instance

dbXML API

Copyright (c) 1999-2001 The dbXML Group, All rights reserved